Assistant APIDelete a conversation

Delete a conversation

With the secret key. Deletes the earlier messages the assistant keeps for a conversation_id. Conversations are also deleted on their own 30 days after their last message.

curl -X DELETE "https://api.documentation.ai/api/v1/assistant/conversations/ticket-48213" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "deleted": true
}
DELETE
/conversations/{conversation_id}
DELETE
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

An Assistant API key from Settings > Assistant API: the secret key (asst_sk_...) from servers and tools, or the publishable key (asst_pk_...) or a reader credential (asst_rc_...) from pages on the key's allowed origins. See Authentication.

An Assistant API key from Settings > Assistant API: the secret key (asst_sk_...) from servers and tools, or the publishable key (asst_pk_...) or a reader credential (asst_rc_...) from pages on the key's allowed origins. See Authentication.
path
conversation_idstring
Required

The conversation_id you sent with the questions.

Min length: 1 • Max length: 200
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. An Assistant API key from Settings > Assistant API: the secret key (asst_sk_...) from servers and tools, or the publishable key (asst_pk_...) or a reader credential (asst_rc_...) from pages on the key's allowed origins. See Authentication.

Path Parameters

conversation_idstring
Required

The conversation_id you sent with the questions.

Example:
ticket-48213

Responses

deletedboolean

true if a conversation was deleted, false if there was none.